Index: Rakefile
===================================================================
--- Rakefile.orig	1970-01-01 01:00:00.000000000 +0100
+++ Rakefile	2008-12-05 16:29:38.429026272 +0100
@@ -89,22 +89,22 @@ end
 
 ##### boost::thread static library
 
-subdir 'ext/boost/src' do
-	file 'libboost_thread.a' => Dir['*.cpp'] + Dir['pthread/*.cpp'] do
-		flags = "#{OPTIMIZATION_FLAGS} -fPIC -I../.. #{THREADING_FLAGS} -DNDEBUG #{MULTI_ARCH_FLAGS}"
-		compile_cxx "*.cpp", flags
-		# NOTE: 'compile_cxx "pthread/*.cpp", flags' doesn't work on some systems,
-		# so we do this instead.
-		Dir['pthread/*.cpp'].each do |file|
-			compile_cxx file, flags
-		end
-		create_static_library "libboost_thread.a", "*.o"
-	end
-	
-	task :clean do
-		sh "rm -f libboost_thread.a *.o"
-	end
-end
+# subdir 'ext/boost/src' do
+# 	file 'libboost_thread.a' => Dir['*.cpp'] + Dir['pthread/*.cpp'] do
+# 		flags = "#{OPTIMIZATION_FLAGS} -fPIC -I../.. #{THREADING_FLAGS} -DNDEBUG #{MULTI_ARCH_FLAGS}"
+# 		compile_cxx "*.cpp", flags
+# 		# NOTE: 'compile_cxx "pthread/*.cpp", flags' doesn't work on some systems,
+# 		# so we do this instead.
+# 		Dir['pthread/*.cpp'].each do |file|
+# 			compile_cxx file, flags
+# 		end
+# 		create_static_library "libboost_thread.a", "*.o"
+# 	end
+# 	
+# 	task :clean do
+# 		sh "rm -f libboost_thread.a *.o"
+# 	end
+# end
 
 
 ##### Apache module
@@ -131,7 +131,7 @@ subdir 'ext/apache2' do
 	task :apache2 => ['mod_passenger.so', 'ApplicationPoolServerExecutable', :native_support]
 	
 	file 'mod_passenger.so' => [
-		'../boost/src/libboost_thread.a',
+#		'../boost/src/libboost_thread.a',
 		'mod_passenger.o'
 	] + APACHE2::OBJECTS.keys do
 		# apxs totally sucks. We couldn't get it working correctly
@@ -141,14 +141,14 @@ subdir 'ext/apache2' do
 		#
 		# Oh, and libtool sucks too. Do we even need it anymore in 2008?
 		linkflags = "#{LDFLAGS} #{MULTI_ARCH_FLAGS}"
-		linkflags << " -lstdc++ -lpthread ../boost/src/libboost_thread.a #{APR_LIBS}"
+		linkflags << " -lstdc++ -lpthread -lboost_thread #{APR_LIBS}"
 		create_shared_library 'mod_passenger.so',
 			APACHE2::OBJECTS.keys.join(' ') << ' mod_passenger.o',
 			linkflags
 	end
 	
 	file 'ApplicationPoolServerExecutable' => [
-		'../boost/src/libboost_thread.a',
+#		'../boost/src/libboost_thread.a',
 		'ApplicationPoolServerExecutable.cpp',
 		'ApplicationPool.h',
 		'StandardApplicationPool.h',
@@ -160,7 +160,7 @@ subdir 'ext/apache2' do
 	] do
 		create_executable "ApplicationPoolServerExecutable",
 			'ApplicationPoolServerExecutable.cpp System.o Utils.o Logging.o',
-			"-I.. #{CXXFLAGS} #{LDFLAGS} -DPASSENGER_DEBUG ../boost/src/libboost_thread.a -lpthread"
+			"-I.. #{CXXFLAGS} #{LDFLAGS} -DPASSENGER_DEBUG -lboost_thread -lpthread"
 	end
 	
 	file 'mod_passenger.o' => ['mod_passenger.c'] do
@@ -263,7 +263,8 @@ subdir 'test' do
 	end
 
 	file 'Apache2ModuleTests' => TEST::AP2_OBJECTS.keys +
-	  ['../ext/boost/src/libboost_thread.a',
+	  [
+           #'../ext/boost/src/libboost_thread.a',
 	   '../ext/apache2/System.o',
 	   '../ext/apache2/Utils.o',
 	   '../ext/apache2/Logging.o'] do
@@ -273,7 +274,7 @@ subdir 'test' do
 			" ../ext/apache2/Logging.o"
 		create_executable "Apache2ModuleTests", objects,
 			"#{LDFLAGS} #{APR_LIBS} #{MULTI_ARCH_FLAGS} " <<
-			"../ext/boost/src/libboost_thread.a -lpthread"
+			"-lboost_thread -lpthread"
 	end
 	
 	TEST::AP2_OBJECTS.each_pair do |target, sources|
@@ -306,11 +307,12 @@ subdir 'benchmark' do
 	file 'DummyRequestHandler' => ['DummyRequestHandler.cpp',
 	  '../ext/apache2/MessageChannel.h',
 	  '../ext/apache2/System.o',
-	  '../ext/boost/src/libboost_thread.a'] do
+	  #'../ext/boost/src/libboost_thread.a'
+          ] do
 		create_executable "DummyRequestHandler", "DummyRequestHandler.cpp",
 			"-I../ext -I../ext/apache2 #{CXXFLAGS} #{LDFLAGS} " <<
 			"../ext/apache2/System.o " <<
-			"../ext/boost/src/libboost_thread.a -lpthread"
+			"-lboost_thread -lpthread"
 	end
 	
 	file 'ApplicationPool' => ['ApplicationPool.cpp',
@@ -319,13 +321,13 @@ subdir 'benchmark' do
 	  '../ext/apache2/System.o',
 	  '../ext/apache2/Logging.o',
 	  '../ext/apache2/Utils.o',
-	  '../ext/boost/src/libboost_thread.a',
+	  # '../ext/boost/src/libboost_thread.a',
 	  :native_support] do
 		create_executable "ApplicationPool", "ApplicationPool.cpp",
 			"-I../ext -I../ext/apache2 #{CXXFLAGS} #{LDFLAGS} " <<
 			"../ext/apache2/System.o ../ext/apache2/Logging.o " <<
 			"../ext/apache2/Utils.o " <<
-			"../ext/boost/src/libboost_thread.a -lpthread"
+			"-lboost_thread -lpthread"
 	end
 	
 	task :clean do
